using System.Runtime;
using Entidades;

namespace Modelo
{
    public sealed class RepositorioProductos : RepositorioBase<Producto, RepositorioProductos>
    {
        override public bool Add(Producto t)
        {
            bool ret = false;

            try
            {
                almacen.Add(t);
                ret = true;
            }
            catch (Exception)
            {
                throw;
            }

            return ret;
        }

        override public bool Mod(Producto t)
        {
                bool ret = false;

                try
                {
                        var AModificar = almacen.Find(x => x.Id == t.Id);
                        AModificar = t; 
                        ret = true;
                }
                catch (Exception)
                {
                    throw;
                }

                return ret;
            }

        override public bool Del(Producto t)
        {
            bool ret = false;

            try
            {
                var AEliminar = almacen.Find(x => x.Id == t.Id);
                if (AEliminar == null) return ret;
                almacen.Remove(AEliminar);
                ret = true;
            }
            catch (Exception)
            {
                throw;
            }

            return ret;
        }
    }
}
